org.keycloak.representations.idm

## Class ClientTemplateRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ClientTemplateRepresentation

- Deprecated.

      @Deprecated
      public class ClientTemplateRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes` Deprecated.
    `protected Boolean` | `bearerOnly` Deprecated.
    `protected Boolean` | `consentRequired` Deprecated.
    `protected String` | `description` Deprecated.
    `protected Boolean` | `directAccessGrantsEnabled` Deprecated.
    `protected Boolean` | `frontchannelLogout` Deprecated.
    `protected Boolean` | `fullScopeAllowed` Deprecated.
    `protected String` | `id` Deprecated.
    `protected Boolean` | `implicitFlowEnabled` Deprecated.
    `protected String` | `name` Deprecated.
    `static String` | `NONE` Deprecated. Use this value in ClientRepresentation.setClientTemplate when you want to clear this value
    `protected String` | `protocol` Deprecated.
    `protected List<ProtocolMapperRepresentation>` | `protocolMappers` Deprecated.
    `protected Boolean` | `publicClient` Deprecated.
    `protected Boolean` | `serviceAccountsEnabled` Deprecated.
    `protected Boolean` | `standardFlowEnabled` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientTemplateRepresentation()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()` Deprecated.
    `String` | `getDescription()` Deprecated.
    `String` | `getId()` Deprecated.
    `String` | `getName()` Deprecated.
    `String` | `getProtocol()` Deprecated.
    `List<ProtocolMapperRepresentation>` | `getProtocolMappers()` Deprecated.
    `Boolean` | `isBearerOnly()` Deprecated.
    `Boolean` | `isConsentRequired()` Deprecated.
    `Boolean` | `isDirectAccessGrantsEnabled()` Deprecated.
    `Boolean` | `isFrontchannelLogout()` Deprecated.
    `Boolean` | `isFullScopeAllowed()` Deprecated.
    `Boolean` | `isImplicitFlowEnabled()` Deprecated.
    `Boolean` | `isPublicClient()` Deprecated.
    `Boolean` | `isServiceAccountsEnabled()` Deprecated.
    `Boolean` | `isStandardFlowEnabled()` Deprecated.
    `void` | `setAttributes(Map<String,String> attributes)` Deprecated.
    `void` | `setBearerOnly(Boolean bearerOnly)` Deprecated.
    `void` | `setConsentRequired(Boolean consentRequired)` Deprecated.
    `void` | `setDescription(String description)` Deprecated.
    `void` | `setDirectAccessGrantsEnabled(Boolean directAccessGrantsEnabled)` Deprecated.
    `void` | `setFrontchannelLogout(Boolean frontchannelLogout)` Deprecated.
    `void` | `setFullScopeAllowed(Boolean fullScopeAllowed)` Deprecated.
    `void` | `setId(String id)` Deprecated.
    `void` | `setImplicitFlowEnabled(Boolean implicitFlowEnabled)` Deprecated.
    `void` | `setName(String name)` Deprecated.
    `void` | `setProtocol(String protocol)` Deprecated.
    `void` | `setProtocolMappers(List<ProtocolMapperRepresentation> protocolMappers)` Deprecated.
    `void` | `setPublicClient(Boolean publicClient)` Deprecated.
    `void` | `setServiceAccountsEnabled(Boolean serviceAccountsEnabled)` Deprecated.
    `void` | `setStandardFlowEnabled(Boolean standardFlowEnabled)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final String NONE

      Deprecated.
      Use this value in ClientRepresentation.setClientTemplate when you want to clear this value
      See Also:
        Constant Field Values

    - #### id

          protected String id

      Deprecated.

    - #### name

          protected String name

      Deprecated.

    - #### description

          protected String description

      Deprecated.

    - #### protocol

          protected String protocol

      Deprecated.

    - #### fullScopeAllowed

          protected Boolean fullScopeAllowed

      Deprecated.

    - #### bearerOnly

          protected Boolean bearerOnly

      Deprecated.

    - #### consentRequired

          protected Boolean consentRequired

      Deprecated.

    - #### standardFlowEnabled

          protected Boolean standardFlowEnabled

      Deprecated.

    - #### implicitFlowEnabled

          protected Boolean implicitFlowEnabled

      Deprecated.

    - #### directAccessGrantsEnabled

          protected Boolean directAccessGrantsEnabled

      Deprecated.

    - #### serviceAccountsEnabled

          protected Boolean serviceAccountsEnabled

      Deprecated.

    - #### publicClient

          protected Boolean publicClient

      Deprecated.

    - #### frontchannelLogout

          protected Boolean frontchannelLogout

      Deprecated.

    - #### attributes

          protected Map<String,String> attributes

      Deprecated.

    - #### protocolMappers

          protected List<ProtocolMapperRepresentation> protocolMappers

      Deprecated.

  - ### Constructor Detail

    - #### ClientTemplateRepresentation

          public ClientTemplateRepresentation()

      Deprecated.

  - ### Method Detail

    - #### getId

          public String getId()

      Deprecated.

    - #### setId

          public void setId(String id)

      Deprecated.

    - #### getName

          public String getName()

      Deprecated.

    - #### setName

          public void setName(String name)

      Deprecated.

    - #### getDescription

          public String getDescription()

      Deprecated.

    - #### setDescription

          public void setDescription(String description)

      Deprecated.

    - #### getProtocolMappers

          public List<ProtocolMapperRepresentation> getProtocolMappers()

      Deprecated.

    - #### setProtocolMappers

          public void setProtocolMappers(List<ProtocolMapperRepresentation> protocolMappers)

      Deprecated.

    - #### getProtocol

          public String getProtocol()

      Deprecated.

    - #### setProtocol

          public void setProtocol(String protocol)

      Deprecated.

    - #### isFullScopeAllowed

          public Boolean isFullScopeAllowed()

      Deprecated.

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(Boolean fullScopeAllowed)

      Deprecated.

    - #### isBearerOnly

          public Boolean isBearerOnly()

      Deprecated.

    - #### setBearerOnly

          public void setBearerOnly(Boolean bearerOnly)

      Deprecated.

    - #### isConsentRequired

          public Boolean isConsentRequired()

      Deprecated.

    - #### setConsentRequired

          public void setConsentRequired(Boolean consentRequired)

      Deprecated.

    - #### isStandardFlowEnabled

          public Boolean isStandardFlowEnabled()

      Deprecated.

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(Boolean standardFlowEnabled)

      Deprecated.

    - #### isImplicitFlowEnabled

          public Boolean isImplicitFlowEnabled()

      Deprecated.

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(Boolean implicitFlowEnabled)

      Deprecated.

    - #### isDirectAccessGrantsEnabled

          public Boolean isDirectAccessGrantsEnabled()

      Deprecated.

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(Boolean directAccessGrantsEnabled)

      Deprecated.

    - #### isServiceAccountsEnabled

          public Boolean isServiceAccountsEnabled()

      Deprecated.

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(Boolean serviceAccountsEnabled)

      Deprecated.

    - #### isPublicClient

          public Boolean isPublicClient()

      Deprecated.

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

      Deprecated.

    - #### isFrontchannelLogout

          public Boolean isFrontchannelLogout()

      Deprecated.

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(Boolean frontchannelLogout)

      Deprecated.

    - #### getAttributes

          public Map<String,String> getAttributes()

      Deprecated.

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

      Deprecated.

Copyright © 2020 JBoss by Red Hat. All rights reserved.